
%define lib_major       2
%define lib_name        %mklibname cairo %{lib_major}


Summary:	Cairo - multi-platform 2D graphics library
Name:		cairo
Version: 1.0.0
#Release: 8mdk
Release: %mkrel 8
License:	BSD
Group:		System/Libraries
Source0:	http://cairographics.org/snapshots/%name-%version.tar.bz2
# (fc) 0.9.2-7mdk fix subpixel for BGR/vBGR LCD screen
Patch4:		cairo-0.9.2-bgr.patch.bz2
# (fc) 1.0.0-3mdk support artificial oblique (Mdk bug #17890)
Patch5:		cairo-1.0.0-oblique.patch.bz2
# (fc) 1.0.0-3mdk fix detection of X with broken render
Patch6:		cairo-1.0.0-detectx.patch.bz2
# (fc) 1.0.0-5mdk better handle agressible inlining and omit-frame-pointer (CVS)
Patch7:		cairo-1.0.0-gccfix.patch.bz2
# (fc) 1.0.0-5mdk simplify rectangular trapezoides check (CVS)
Patch8:		cairo-1.0.0-rectangulartrap.patch.bz2
# (fc) 1.0.0-5.1mdk disable xrender acceleration by default
Patch9:		cairo-1.0.0-brokenxrender.patch.bz2
# (fc) 1.0.0-8mdk fix crash with MMX non-SSE CPU (CVS)
Patch10:	cairo-1.0.0-nosse.patch.bz2
# (fc) 1.0.0-8mdk fix X error when trying to create NULL pixmap (CVS)
Patch11:	cairo-1.0.0-nullpixmap.patch.bz2

URL:		http://cairographics.org/
BuildRequires:  freetype2-devel >= 2.1.10
BuildRequires:	XFree86-devel
BuildRequires:	libpng-devel
BuildRequires:  gtk-doc
BuildRoot:	%_tmppath/%name-%version-root

%description
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{lib_name}
Summary:	Cairo - multi-platform 2D graphics library
Group:		System/Libraries
Provides:	cairo = %{version}-%{release}
Requires:	freetype2 >= 2.1.10

%description -n %{lib_name}
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{lib_name}-devel
Summary:	Development files for Cairo library
Group:		Development/C
Requires:	%{lib_name} = %version
Provides:	%{name}-devel = %version-%release
Provides:	lib%{name}-devel = %version-%release
Conflicts:	%{_lib}cairo1-devel

%description -n %{lib_name}-devel
Development files for Cairo library.

%package -n %{lib_name}-static-devel
Summary:	Static Cairo library
Group:		Development/C
Requires:	%{lib_name}-devel = %version
Provides:	lib%name-static-devel = %version

%description -n %{lib_name}-static-devel
Static Cairo library.


%prep
%setup -q
%patch4 -p1 -b .bgr
%patch5 -p1 -b .oblique
%patch6 -p1 -b .detectx
%patch7 -p1 -b .gccfix
%patch8 -p1 -b .rectangulartrap
%patch9 -p1 -b .brokenxrender
%patch10 -p1 -b .nosse
%patch11 -p1 -b .nullpixmap

#needed by patch 5 & 10
autoheader
autoconf

%build
%configure2_5x --enable-gtk-doc  --disable-glitz --disable-pdf --disable-ps --disable-xcb
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n %{lib_name} -p /sbin/ldconfig
%postun	-n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README TODO
%_libdir/lib*.so.*

%files -n %{lib_name}-devel
%defattr(644,root,root,755)
%_libdir/lib*.so
%_libdir/lib*.la
%_includedir/*
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/cairo/

%files -n %{lib_name}-static-devel
%defattr(644,root,root,755)
%_libdir/lib*.a

%changelog
* Sat Oct  1 2005 Andreas Radke <rpm@mandrivauser.de> 1.0.0-8mud
- rebuild for Mandriva 2005LE
- added %%mkrel

* Tue Sep 20 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-8mdk 
- Patch10 (CVS): don't use SSE on MMX non SSE CPU
- Patch11 (CVS): fix X error with null pixmaps

* Mon Sep 12 2005 Gtz Waschk <waschk@mandriva.org> 1.0.0-7mdk
- add provides to the devel package

* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-6mdk 
- Patch9: disable XRender Composite, unless CAIRO_ENABLE_XRENDER_COMPOSITE 
  environment variable is set to 1

* Mon Aug 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-5mdk 
- Patch7 (CVS): better handle agressive inlining and omit-frame-pointer
- Patch8 (CVS): simplify rectangular trapezoids check

* Sun Aug 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-4mdk 
- Patch6: fix detection of X with broken render

* Fri Aug 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-3mdk
- Patch5: add support for artificial oblique

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-2mdk 
- Explicitly disable all unstable backends (they are already disabled)

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-1mdk 
- Release 1.0.0 (champagne :)
- Remove patches 0, 1, 2, 3 (merged upstream)

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-7mdk 
- Remove test warnings from patch2
- Patch4 : fix subpixel for BGR/vBGR LCD screen 

* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-6mdk 
- Add explicit requires on freetype 2.1.10 (needed for embolding)

* Fri Aug 19 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-5mdk 
- Patch3 (CVS): fix null surface crash (seen in qt-gtk engine)
- Patch2 (Sunmoon): add artificial embolding support

* Wed Aug 17 2005 Pascal Terjan <pterjan@mandriva.org> 0.9.2-4mdk
- Patch1 (CVS): fix another crash, this one seen in Evince

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-3mdk 
- Patch0 (CVS): fix crash in fontconfig font, as seen in Eclipse

* Tue Aug 16 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-2mdk 
- Add conflicts to ease upgrade

* Sun Aug 14 2005 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdk
- New release 0.9.2

* Thu Aug 11 2005 Gtz Waschk <waschk@mandriva.org> 0.9.0-1mdk
- major 2
- New release 0.9.0

* Fri Jul 29 2005 Gtz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- New release 0.6.0

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 0.5.2-1mdk
- New release 0.5.2

* Mon Jun 27 2005 Gtz Waschk <waschk@mandriva.org> 0.5.1-1mdk
- New release 0.5.1

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- enable gtk doc
- New release 0.5.0

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- add docs
- bump deps
- drop patch
- New release 0.4.0

* Fri Feb 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.0-2mdk
- add BuildRequires: libpng-devel (for oregano)
- Patch1: glitz 0.4.0 support

* Fri Jan 28 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- New release 0.3.0

* Wed Nov 24 2004 Jean-Michel Dault <jmdault@revolutionlinux.com> 0.2.0-2mdk
- reenable aclocal, autoheader, autoconf,  automake so that it build
  properly on Mandrake 10.0

* Fri Nov 12 2004 Marcel Pol <mpol@mandrake.org> 0.2.0-1mdk
- 0.2.0
- build against glitz

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.1.23-1mdk
- 0.1.23
- reenable libtoolize

* Wed May  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.22-1mdk
- fix devel provides
- drop redundant buildrequires
- requires new pixman
- autoconf 2.5 macro
- New release 0.1.22

* Fri Feb 06 2004 Marcel Pol <mpol@mandrake.org> 0.1.17-2mdk
- build with X11

* Sun Feb 01 2004 Marcel Pol <mpol@mandrake.org> 0.1.17-1mdk
- 0.1.17
- provides cairo
- drop patch, use --disable-xlib
- buildrequires
- don't run libtoolize

* Sun Dec 14 2003 Marcel Pol <mpol@mandrake.org> 0.1.13-1mdk
- initial mandrake package

